<header>
  <ng-container *ngIf="title.length === 0; else inputTitle">
    <ng-content select="[slot=header]"></ng-content>
  </ng-container>

  <ng-template #inputTitle>
    {{ title }}
  </ng-template>
</header>
<section>
  <ng-content select="[slot=body]"></ng-content>
</section>
<footer>
  <ng-content select="[slot=footer]"></ng-content>
</footer>
